package uk.co.agileworks.testsite.dao;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import uk.co.agileworks.testsite.domain.Question;

@Repository
public final class QuestionDAOImpl implements QuestionDAO {

	@Autowired
	private SessionFactory sessionFactory;
	
	@Transactional(readOnly = true)
	@Override
	public Question getQuestion(long pk) {
		return (Question) sessionFactory.getCurrentSession().get(Question.class, pk);
	}

}
