package uk.co.agileworks.testsite.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import uk.co.agileworks.testsite.dao.QuestionDAO;
import uk.co.agileworks.testsite.domain.Question;

@Service("questionService")
public final class QuestionServiceImpl implements QuestionService {

	@Autowired
	private QuestionDAO questionDAO;
	
	@Cacheable("questions")
	@Override
	public Question getQuestion(long pk) {
		return questionDAO.getQuestion(pk);
	}
	
}
