package uk.co.agileworks.testsite.dao;

import static junit.framework.Assert.assertNull;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import uk.co.agileworks.testsite.domain.Question;
import uk.co.agileworks.testsite.test.DbUnitTest;

public final class QuestionDAOTest extends DbUnitTest {

	@Autowired
	private QuestionDAO questionDAO;
	
	@Test
	public void getQuestion() {
		Question question = questionDAO.getQuestion(1L);
		LOGGER.trace("question=" + question);
		assertEquals(question, getTestData().getQuestion());
	}
	
	@Test
	public void getQuestionNotFound() {
		Question question = questionDAO.getQuestion(0L);
		LOGGER.trace("question=" + question);
		assertNull(question);
	}
}
