package uk.co.agileworks.testsite.test;

import java.util.Arrays;

import uk.co.agileworks.testsite.domain.Question;

public final class DataSet {

	private Question question = new Question();

	public DataSet() {
		question.setPk(1L);
		question.setText("In a year group of 110 pupils, 66 pupils have school dinners. " +
				"What proportion of the year group do not have school dinners? " +
				"Give your answer as a decimal.");
		question.setAnswer("0.4");
		question.setSteps(Arrays.asList("The total number of puplis is 110.", 
				"The total number having school dinners is 66.",
				"The number not having school dinners is 110-66=44.",
				"The proportion not having school dinners is 44/110.",
				"This can be simplified to 4/10, which expressed as a decimal is 0.4."));
	}
	
	public Question getQuestion() {
		return question;
	}

}
